% CobbDouglas BC
% ---------------

param.case  = 'CobbDouglas';
param.beta  = 0.95;
param.alpha = 0.8;
param.gamma = 2;
param.delta = 0.1;
param.plot = false;

param.s = [0, 3];
param.p = [0.9, 0.1;
    0.1, 0.9];

param.scale = 1;
param.checked = true; %---------------

gridSize = 1/1000
gridPoints = 0:gridSize:20;
n = numel(gridPoints);
step = max(floor(n/2000),1);
IterMax    = 500
tol = gridSize/10;

s = 1:10;
y = 1:6;

n = numel(s);
m = numel(y);

result = NaN(n, m);

for ii = 1:m
    tt =1;

    yPre = y(ii);

    while any(isnan(result(:,ii)))| tt<1000
        yNext = f(yPre, s, param);

        result( isnan(result(:,ii))' & yNext>=yPre,ii) = Inf;
        result(isnan(result(:,ii))' & yNext<=0,ii) = tt;
        tt = tt+1
        yPre=yNext;
    end

end

result = [NaN y; s' result]


