function plotSimuPath(k0, state0, T, kOpt, V, param, folder)
% function plotSimuPath(k0, state0, T, kOpt, V, param, folder)
%
% 

lw = 2;
if nargin<6
    error('not enough input arguments');
end

if nargin<7
    folder = 'lastRun';
end

% if 7== exist('f:\Uni\SS 06\evoModel\OutputFromHome\Graphs\','dir')
%     defaultPath = 'f:\Uni\SS 06\evoModel\OutputFromHome\Graphs\';
% elseif 7== exist('C:\Documents and Settings\Urs\My Documents\evoModel\OutputFromOffice\Graphs\','dir')
%     defaultPath = 'C:\Documents and Settings\Urs\My Documents\evoModel\OutputFromOffice\Graphs\';
% else
    mkdir(cd, 'Graphs');
    defaultPath = strcat(cd, '\Graphs\');
% end

path = strcat(defaultPath, folder, '\');

[k, div, V1] = simuPath(k0, state0, T, kOpt, V, param);

figure;
subplot(3,1, 1);
plot(k', 'LineWidth', lw);
title('(a) Optimal Capital Stock k_{t+1}^*');

subplot(3,1, 2);
plot(div', 'LineWidth', lw);
title('(b) Dividends');

subplot(3,1, 3);
plot(V1', 'LineWidth', lw);
title('(c) Value of the company');

try
    saveas(gcf, strcat(path,'SimulatedPaths') , 'epsc');
catch %if there is no directory create one
    mkdir(defaultPath, folder)
    saveas(gcf, strcat(path,'SimulatedPaths') , 'epsc');
end