% Polynom
% ------------


param.case  = 'Polynom';
param.beta  = 0.95;
a1 = 0.1; a2 = 0.3;


param.coef  = [0 , a1+1, a2-2*a1, a1-a2];

param.s = [0, 0.1, 1];
param.p = [0.9, 0.09, 0.01];

gridPoints = 2000;
tol        = 0.0001;
IterMax    = 500;

[V, kOpt] = Viterate(param, gridPoints, tol, IterMax);


maxK  = 1; %1.5*max(max(kOpt(:,2:end)));

index = kOpt(:,1)<=maxK;

% Plot
% -----
plotLC(kOpt, V, param, index, 'Polynom')

k0 = 0.1*[1 1 1];
state0 = [1 1 1];
T = 20;
plotSimuPath(k0, state0, T, kOpt, V, param, 'Polynom')



