function result=f(k, s, param)
% function result=f(k, s, param)


    if ~param.checked
        param = checkParam(param);
    end
    
    switch param.case
        
        case 'CobbDouglas'
            result = max(0, param.gamma .* k.^param.alpha- param.delta .* k -s);
            result(k<=0) = 0;
            
        case 'Polynom'
            result = repmat(param.coef(1), size(k));
            for ii = 2:numel(param.coef)
                result(:) = result  + param.coef(ii) .* k.^(ii-1);
            end
            result = max(0, result-s);
            result(k<=0) = 0;            
        otherwise
            error('This functional form is not existing');
    end



