
function result=kToSurvive(param, s)


result = NaN(numel(s), 1);
state = 2;
for ii = 1:numel(s)
    param.s(state) = s(ii);  
    start =  [0, ( (1+param.delta)/param.gamma/param.alpha)^(1/(param.alpha-1))];
    temp = fSupportable(start, state, param);
    if temp(2) <0
        result(ii) = NaN; 
    else
        result(ii) = fzero(@(k) fSupportable(k, state, param), start); 
    end
end


function gain = fSupportable(k, state, param)
    % calculates the gain given the parameters
    % in the bad state
    
    gain = f(k, 0, param)- param.s(state) - k;